/*
 * WHEN THIS SUB IS CALLED, IT ASSUMES THE BUILDING SUB LEFT THE LIGHT ON BRIGHT BLUE
 */

void FailedBuild () {
  int i;
  unsigned long millisSinceFailedBuild;
  unsigned int minutesSinceFailedBuild;

  millisSinceFailedBuild = millis();
  Serial.flush();

  //END OF BUILDING LIGHT SHOW
  CrossFade(000,000,255,000,255,000,1000);  //BLUE TO GREEN
  CrossFade(000,255,000,255,000,000,1000);  //GREEN TO RED

  //FLASH RED
  for(i=0;i<6;i++) {
    SetColor(255,0,0);
    delay(250);
    SetColor(0,0,0);
    delay(250);
  }
  SetColor(255,0,0);

  //PULSE RED
  do {
    CrossFade(255,0,0,50,0,0,2500);  //RED TO LIGHT RED
    minutesSinceFailedBuild = (millis()-millisSinceFailedBuild)/60000;
    //ATTEMPT TO MAKE THE ORB MORE "ANGRY" THE LONGER THE BUILD IS BROKEN
    if (minutesSinceFailedBuild < 15) delay(100);  //FIRST 15 MINUTES
    else if (minutesSinceFailedBuild < 30) FlashRed(250,1);  //15 TO 30 MINUTES
    else if (minutesSinceFailedBuild < 45) FlashRed(200,2);  //30 TO 45 MINUTES
    else if (minutesSinceFailedBuild < 60) FlashRed(175,3);  //45 TO 60 MINUTES
    else if (minutesSinceFailedBuild < 75) FlashRed(150,4);  //60 TO 75 MINUTES
    else if (minutesSinceFailedBuild < 90) FlashRed(125,5);  //75 TO 90 MINUTES
    else if (minutesSinceFailedBuild < 105) FlashRed(100,6);  //90 TO 105 MINUTES
    else if (minutesSinceFailedBuild < 120) FlashRed(100,7);  //105 TO 120 MINUTES
    else FlashRed(100,8);  //MORE THAN 120 MINUTES
    CrossFade(50,0,0,255,0,0,2500);  //LIGHT RED TO RED
  } 
  while (Serial.available() == 0);
  CrossFade(255,0,0,0,0,0,1000);  //RED TO OFF
}

void FlashRed(int delayTime, int flashes) {
  int i;
  for(i=0;i<=flashes;i++) {
    delay(delayTime);
    SetColor(255,0,0);  //BRIGHT RED
    delay(delayTime);
    SetColor(50,0,0);  //LIGHT RED
  }
  delay(delayTime);
}



